### Method

# Gtk FileDialog set_modal

since: 4.10

#### Declaration [src]

    void
    gtk_file_dialog_set_modal (
      GtkFileDialog* self,
      gboolean modal
    )

#### Description [src]

Sets whether the file chooser dialog blocks interaction with the parent window while it is presented.

Available since: 4.10

Sets property | `Gtk.FileDialog:modal`

#### Parameters

`modal`

  Type: `gboolean`

  The new value.